ServerEvents.recipes(e=> {

  
    let red_aurum_ingot ='nwtc:red_aurum_ingot'
    let advanced_alga_essences_ingot = 'nwtc:advanced_alga_essences_ingot'
    let algadium_ingot = 'solarcraft:algadium_ingot'
    let alumite_ingot = 'nwtc:alumite_ingot'
    let pink_slime = Fluid.of("industrialforegoing:pink_slime", 100)
    let sewage = Fluid.of("industrialforegoing:sewage", 100)
    let sludge = Fluid.of("industrialforegoing:sludge", 100)
    let overcharged_gold = 'create_new_age:overcharged_gold'
    let overcharged_iron = 'create_new_age:overcharged_iron'
    let manasteel_ingot = 'botania:manasteel_ingot'
    let dark_steel_ingot = 'enderio:dark_steel_ingot'

    //1
    function randomrecipe(N,roll,t){
        if (roll == 0){
        e.recipes.createSequencedAssembly([
            Item.of((2 + 'x ' + N)).withChance(82.0),
            Item.of(t).withChance(13.0),
          ], t, [
            e.recipes.createDeploying(t, [t, advanced_alga_essences_ingot]),
            e.recipes.createDeploying(t, [t, alumite_ingot]),
            e.recipes.createFilling(t, [t, sludge]),
            e.recipes.createPressing(t, t).processingTime(50),
            e.recipes.createCutting(t, t).processingTime(50),
          ]).transitionalItem(t).loops(Math.floor(Math.random()*2+1))
        }
        if (roll == 1){
            e.recipes.createSequencedAssembly([
                Item.of((2 + 'x ' + N)).withChance(82.0),
                Item.of(t).withChance(13.0),
              ], t, [
                e.recipes.createDeploying(t, [t, algadium_ingot]),
                e.recipes.createDeploying(t, [t, overcharged_gold]),
                e.recipes.createFilling(t, [t, sewage]),
                e.recipes.createPressing(t, t).processingTime(50),
                e.recipes.createFilling(t, [t, pink_slime]),
              ]).transitionalItem(t).loops(Math.floor(Math.random()*2+1))
        }
        if (roll == 2){
            e.recipes.createSequencedAssembly([
                Item.of((2 + 'x ' + N)).withChance(82.0),
                Item.of(t).withChance(13.0),
              ], t, [
                e.recipes.createDeploying(t, [t, dark_steel_ingot]),
                e.recipes.createDeploying(t, [t, overcharged_iron]),
                e.recipes.createFilling(t, [t, sludge]),
                e.recipes.createPressing(t, t).processingTime(50),
                e.recipes.createFilling(t, [t, pink_slime]),
              ]).transitionalItem(t).loops(Math.floor(Math.random()*2+1))
        }
        if (roll == 3){
            e.recipes.createSequencedAssembly([
                Item.of((2 + 'x ' + N)).withChance(82.0),
                Item.of(t).withChance(13.0),
              ], t, [
                e.recipes.createDeploying(t, [t, manasteel_ingot]),
                e.recipes.createDeploying(t, [t, alumite_ingot]),
                e.recipes.createFilling(t, [t, sludge]),
                e.recipes.createPressing(t, t).processingTime(50),
                e.recipes.createFilling(t, [t, sewage]),
              ]).transitionalItem(t).loops(Math.floor(Math.random()*2+1))
        }
      
        
    }
   
    randomrecipe("nwtc:bismuth_ingot",Math.floor(Math.random()*3),red_aurum_ingot) 
    randomrecipe("nwtc:shadow_ingot",Math.floor(Math.random()*3),'create:shadow_steel') 
  
    
 





})